#!/bin/bash
set -e
WORK_HOME=$PWD

cp ${WORK_HOME}/protoc/protoc.patch ${WORK_HOME}/protobuf-2.5.0/src/google/protobuf/stubs/
cd ${WORK_HOME}/protobuf-2.5.0/src/google/protobuf/stubs/
patch -p1 < protoc.patch

cd ${WORK_HOME}/protobuf-2.5.0
./autogen.sh
./configure --prefix=${WORK_HOME}/protobuf_2.5.0 CFLAGS='-fsigned-char';make;make install
cd ${WORK_HOME}

JAVA_HOME=${WORK_HOME}/jdk8u252-b09;
MAVEN_HOME=${WORK_HOME}/apache-maven-3.5.4;
PROTOC_HOME=${WORK_HOME}/protobuf_2.5.0;
PATH=${JAVA_HOME}/bin:${MAVEN_HOME}/bin:${PROTOC_HOME}/bin:${PATH};
mvn install:install-file -DgroupId=com.google.protobuf -DartifactId=protoc -Dversion=2.5.0 -Dclassifier=linux-aarch_64 -Dpackaging=exe -Dfile=${PROTOC_HOME}/bin/protoc