#!/bin/bash
INSTALL_DIR=${PWD}
code_aster_DIR=${INSTALL_DIR}/aster-full-src-14.6.0
code_aster_EXE=${code_aster_DIR}/bin/as_run

if [ -e ${code_aster_EXE} ];then
        
        #声明环境变量
        source ${code_aster_DIR}/etc/codeaster/profile.sh
        #导出配置文件
        as_run --get_export forma01a > forma01a.export
        #修改内存限制
        sed -ri 's/256/2048/g' forma01a.export
        #运行测试
        as_run forma01a.export
        #追加成功信息
        echo "code_aster安装成功"
        exit 0
else
        echo "code_aster安装失败"
        exit 1
fi
