#!/bin/bash


HOST=$PWD
cd $HOST/aster-full-src-14.6.0



#新增aarch64选项
sed -ri '354 s/'ppc64'/'ppc64\',\ \'aarch64'/g' setup.py
sed -ri '1537 s/ia64/aarch64/g' as_setup.py
sed -ri '1537 s/ia.64/aarch64/g' as_setup.py

#修改编译核数，提升编译速度
sed -ri '1721 s/8/64/g' as_setup.py

#修改编译器相关信息
sed  $((`sed -n '$=' $HOST/aster-full-src-14.6.0/setup.cfg`-2)),$((`sed -n '$=' $HOST/aster-full-src-14.6.0/setup.cfg`))d $HOST/aster-full-src-14.6.0/setup.cfg
        cat >> $HOST/aster-full-src-14.6.0/setup.cfg <<EOF
CC='`which gcc`'
CXX='`which g++`'
F90='`which gfortran`'
LD=F90
CXXFLAGS="-std=c++11"
CXXLIB='-L$(dirname `which gcc`)/../lib64 -lstdc++'
EOF

#修改med相关信息
sed '186 a\ \  conf_cmd = ("export F77=$F90; "' -i $HOST/aster-full-src-14.6.0/products.py
sed -i '188d' $HOST/aster-full-src-14.6.0/products.py

#修改源码包
cd SRC/
tar -xvf aster-14.6.0.tgz
#新增aarch64选项
sed -ri "103 s/'x86_64'/'x86_64' or self.env.DEST_CPU\ ==\ 'aarch64'/g" aster-14.6.0/bibfor/wscript
#注释第224行代码
sed -ri "224 s/x/#x/g" aster-14.6.0/bibpyt/Utilitai/Utmess.py
#新增2行
sed -i '224i \        curr_idmess = idmess.split("\\0")' aster-14.6.0/bibpyt/Utilitai/Utmess.py
sed -i '225i \        x = curr_idmess[0].split("_")' aster-14.6.0/bibpyt/Utilitai/Utmess.py

#还原源码包并删除目录
tar cvzf aster-14.6.0.tgz aster-14.6.0
rm -rf aster-14.6.0

