#!/bin/bash
set -e
WORK_HOME=`pwd`

#设置环境
export BISHENG=$(cd $(dirname $(which clang))/../;pwd)
export PATH=${BISHENG}/bin:$PATH
export LD_LIBRARY_PATH=${BISHENG}/lib:$LD_LIBRARY_PATH
export INCLUDE=${BISHENG}/include:$INCLUDE
export LIBEXEC=${BISHENG}/libexec:$LIBEXEC

function ffw_install(){
  export CC=`which clang`
  export CXX=`which clang++`
  export FC=`which flang`
  cd ${WORK_HOME}/fftw-3.3.8;
  ./bootstrap.sh
  ./configure --prefix=${WORK_HOME}/FFTW --enable-shared --enable-static --enable-fma --enable-neon
   make -j $(nproc) & make install
  export PATH=${WORK_HOME}/FFTW/bin:${PATH}
  export LD_LIBRARY_PATH=${WORK_HOME}/FFTW/lib:${LD_LIBRARY_PATH}
}
ffw_install
