%define __debug_install_post  %{_rpmconfigdir}/find-debuginfo.sh %{?_find_debuginfo_opts} "%{_builddir}/%{?buildsubdir}"%{nil}
%define _topdir /home/devkit/rpmbuild
%define _prefix /usr/local/nginx/
%define nginx_user nginx
%define nginx_group nginx
%define nginx_loggroup adm

%define main_version 1.14.2
%define main_release 1%{?dist}.ngx

Summary: High performance web server
Name: nginx
Version: 1.14.2
Release: 1%{?dist}_4
Vendor: Nginx, Inc.
URL: http://nginx.org/
Group: %{_group}

Source0: %name-%version.tar.gz
License: 2-clause BSD-like license
BuildRequires: redhat-lsb-core,pcre-devel,openssl
BuildRequires: openssl = 1.1.1a,openssl-devel = 1.1.1a,openssl-libs = 1.1.1a
BuildRequires: perl

%description
nginx [engine x] is an HTTP and reverse proxy server, as well as
a mail proxy server.

%prep
%setup -q

%build
./configure --prefix=%{_prefix} --with-http_ssl_module --with-http_realip_module \
--with-http_addition_module --with-http_dav_module --with-http_flv_module --with-http_mp4_module \
--with-http_gzip_static_module --with-http_perl_module --with-pcre  
make

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} DESTDIR=$RPM_BUILD_ROOT INSTALLDIRS=vendor install

mkdir -p $RPM_BUILD_ROOT/usr/lib64/perl5/
cp $RPM_BUILD_ROOT/root/perl5/lib/perl5/aarch64-linux-thread-multi/perllocal.pod $RPM_BUILD_ROOT/usr/lib64/perl5/
mkdir -p $RPM_BUILD_ROOT/usr/local/lib64/perl5/
cp -r $RPM_BUILD_ROOT/root/perl5/lib/perl5/aarch64-linux-thread-multi/* $RPM_BUILD_ROOT/usr/local/lib64/perl5/
mkdir -p $RPM_BUILD_ROOT/usr/local/share/
cp -r $RPM_BUILD_ROOT/root/perl5/man $RPM_BUILD_ROOT/usr/local/share/

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_prefix}/*
/usr/lib64/perl5/*
/usr/local/lib64/perl5/*
/usr/local/share/*
/root/perl5/*

%changelog
* Tue Dec 04 2018 Yuqin Gao - 1.14.2
- nginx rpm to /usr/local/nginx
