#!/bin/bash
set -e

WORK_HOME=`pwd`

max_jobs=$(nproc)
if [[ ${max_jobs} -gt 32 ]]; then
    max_jobs=32
fi
export CC=`which gcc`
export CXX=`which g++`
export FC=`which gfortran`
cd OpenBLAS-0.3.8
make -j ${max_jobs}
make PREFIX=${WORK_HOME}/OpenBLAS install
exit $?
