%define __debug_install_post  %{_rpmconfigdir}/find-debuginfo.sh %{?_find_debuginfo_opts} "%{_builddir}/%{?buildsubdir}"%{nil}
%define _topdir /home/devkit/rpmbuild

%define _prefix /usr/local/tengine-nginx
%define _OPENSSL_INSTALL_DIR /usr/local/

%define nginx_user nginx
%define nginx_group nginx
%define nginx_loggroup adm

Summary: High performance web server
Name: tengine
Version: 2.2.2
Release: 1%{?dist}_4
Vendor: Nginx, Inc.
URL: http://nginx.org/
Group: %{_group}

Source0: %name-%version.tar.gz
License: 2-clause BSD-like license
BuildRequires: redhat-lsb-core,pcre-devel,zlib-devel
BuildRequires: openssl = 1.1.1a,openssl-devel = 1.1.1a,openssl-libs = 1.1.1a

%description
Tengine is a web server project initiated by Taobao.
Tengine add a lot of advanced features and characteristics based on Nginx.
Tengine performance and stability have been in large sites such as Taobao.

%prep
%setup -q

%build
GCC_VERSION=$(gcc --version | grep gcc | awk -F' ' '{print $3}' | awk -F'.' '{print $1}')
if [ ${GCC_VERSION} -ge 8 ]; then
    export CC_OPT="-DNGX_SECURE_MEM -I%{_OPENSSL_INSTALL_DIR}/include -Wno-error=deprecated-declarations -Wno-implicit-fallthrough -Wno-error=cast-function-type"
else
    export CC_OPT="-DNGX_SECURE_MEM -I%{_OPENSSL_INSTALL_DIR}/include -Wno-error=deprecated-declarations -Wno-implicit-fallthrough"
fi
./configure --prefix=%{_prefix} --with-http_ssl_module  --with-openssl-async --with-cc-opt="${CC_OPT}"  \
--with-ld-opt="-Wl,-rpath=%{_OPENSSL_INSTALL_DIR}/lib -L%{_OPENSSL_INSTALL_DIR}/lib"

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} DESTDIR=$RPM_BUILD_ROOT INSTALLDIRS=vendor install

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_prefix}/*

%changelog
* Tue Dec 04 2019 Yuqin Gao - 2.2.2
- 2.2.2
